interface StatusMessage {
    success: boolean;
    message: string;
}
export declare class ReconnectingWebsocketFeed {
    private _url;
    protected _socket: WebSocket;
    private _connected;
    private _reconnectionIntervalMs;
    private _reconnectionMaxAttempts;
    private _reconnectionAttempts;
    private _onConnect;
    private _onDisconnect;
    private _onStatus;
    private _onMessage;
    constructor(url: string, reconnectionIntervalMs?: number, reconnectionMaxAttempts?: number);
    disconnect(): void;
    connected(): boolean;
    onConnect(callback: () => void): void;
    onDisconnect(callback: (reconnectionAttemptsExhausted: boolean) => void): void;
    onStatus(callback: (update: StatusMessage) => void): void;
    protected onMessage(callback: (data: any) => void): void;
    private _connect;
    private _reconnectionAttemptsExhausted;
}
export {};
//# sourceMappingURL=util.d.ts.map